/* ========================================
 *  PeaksOnly - PeaksOnly.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "PeaksOnly.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::PeaksOnly {

PeaksOnly::PeaksOnly()
{
	for(int count = 0; count < 1502; count++) {aL[count] = 0.0; bL[count] = 0.0; cL[count] = 0.0; dL[count] = 0.0;aR[count] = 0.0; bR[count] = 0.0; cR[count] = 0.0; dR[count] = 0.0;}
	ax = 1; bx = 1; cx = 1; dx = 1;
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int PeaksOnly::getParameterCount() const
{
	return kNumParameters;
}

void PeaksOnly::setParameter(int index, float value) {
}

float PeaksOnly::getParameter(int index) {
    return 0.0; //we only need to update the relevant name, this is simple to manage
}

void PeaksOnly::getParameterName(int index, char *text) {
}

void PeaksOnly::getParameterDisplay(int index, char *text) {
}

void PeaksOnly::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
